within SorpLib.Components.HeatTransfers.Geometry;
record OpenAdsorbers "Record containing all relevant geometric properties to calculate heat 
  transfer coefficients of an open adsorber"
  extends
    SorpLib.Components.Fittings.HydraulicResistors.TransportPhenomena.Geometry.OpenAdsorbers;

  parameter Modelica.SIunits.Diameter d_particle = 0.0009
    "Average diameter of particles";

  parameter Modelica.SIunits.Area A_particle_surface = 100
    "Surface of particles";

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  January 14, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end OpenAdsorbers;
