within SorpLib.Components.Boundaries.ModelicaMediaLibrary.Tester;
model TestVLEBoundary "Model to test VLE boundary"
  extends BaseClasses.PartialMediaBoundaryTester(
    redeclare VLEBoundary boundaryA_pConst_hConst,
    redeclare VLEBoundary boundaryA_mConst_hConst,
    redeclare VLEBoundary boundaryB_pVar_hConst,
    redeclare VLEBoundary boundaryB_mVar_hVar,
    redeclare VLEBoundary boundaryC_pConst_TConst,
    redeclare VLEBoundary boundaryC_VConst_TConst,
    redeclare VLEBoundary boundaryD_pVar_TConst,
    redeclare VLEBoundary boundaryD_VVar_TVar(final use_VFlowInput=true, final
        use_TInput=true));

equation
  //
  // Connection of input signals
  //
  connect(input_VVar.y, boundaryD_VVar_TVar.V_flow_input) annotation (Line(
        points={{59,30},{54,30},{54,-59},{31.2,-59}}, color={0,0,127}));
  connect(input_TVar.y, boundaryD_VVar_TVar.T_input) annotation (Line(points={{59,
          -70},{46,-70},{46,-67},{31.2,-67}}, color={0,0,127}));

  //
  // Annotations
  //
  annotation (experiment(StopTime=2500), Documentation(revisions="<html>
<ul>
  <li>
  January 11, 2021, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
xxx
</p>
<h4>Assumptions and limitations</h4>
<p>
xxx
</p>
<h4>Typical use and important parameters</h4>
<p>
xxx
</p>
<h4>Options</h4>
<p>
xxx
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>Implementation</h4>
<p>
xxx
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end TestVLEBoundary;
