within SorpLib.Media.WorkingPair.SingleComponent.TIL_VLE;
model H2O_AQSOAZ02_Goldsworthy
  "TILMedia VLE | H2O / AQSOA Z02, published by Goldsworthy (2014)"
  extends ParameterizedModels.H2O_AQSOAZ02_Goldsworthy(
    final type_Media=Internals.Types.MediaModel.TIL_VLE,
    redeclare final model MediaModel =
      MediaModels.SingleMediaModel_Volumetric_TIL_VLE (
        redeclare final TILMedia.VLEFluidTypes.TILMedia_Water vleType),
    final avoid_events=true);

  //
  // Annotations
  //
  annotation (Documentation(revisions="<html>
<ul>
  <li>
  December 14, 2020, by Mirko Engelpracht:<br/>
  First implementation.
  </li>
</ul>
</html>", info="<html>
<p>
A short introduction.
</p>
<h4>Main equations</h4>
<p>
Most important equations (e.g., mass and energy balances).
</p>
<h4>Assumptions and limitations</h4>
<p>
Main assumptions and limitations (e.g., ideal mixture).
</p>
<h4>Typical use</h4>
<p>
Typical use of model (e.g., to calculate mass transfer within sorbent).
</p>
<h4>Important parameters and options</h4>
<p>
Main parameters and options of the model (e.g., description of most important flags).
</p>
<h4>Dynamics</h4>
<p>
Describe which states and dynamics are present in the model
and which parameters may be used to influence them.
This need not be added in partial classes.
</p>
<h4>Validation</h4>
<p>
Describe whether the validation was done using
analytical validation, comparative model validation
or empirical validation.
</p>
<h4>References</h4>
<p>
xxx
</p>
</html>"));
end H2O_AQSOAZ02_Goldsworthy;
