within ;
package SorpLib "SorpLib 2.0"

annotation (
    version="1",
    preferedView="info", uses(
    ModelicaServices(version="3.2.3"),
    TIL(version="3.9.1"),
    TILMedia(version="3.9.1"),
    Modelica(version="3.2.2")),
    Documentation(info="<html>
<p>
  <img src=\"modelica://SorpLib/Resources/Images/Sorplib_info.png\">
</p>
<p>
The model library <b>SorpLib</b> is released by RWTH Aachen University, Chair of Technical Thermodynamics under the <a href=\"https://git.rwth-aachen.de/ltt_group/LTT_SorptionEnergySystems_library/blob/develop/LICENSE.md\"> BSD 3-Clause License</a>.<br>
Copyright &copy; 2010-2021, RWTH Aachen University, Chair of Technical Thermodynamics.
</p>
</html>",        revisions=""),
    Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,100}},    grid={1,1}), graphics={
                         Bitmap(
        extent={{-162,-128},{123,134}},
                                      fileName="modelica://SorpLib/Resources/Images/Sorplib_logo.png")}),
    Diagram(coordinateSystem(extent={{-1,-60},{80,40}})));
end SorpLib;
